SD_JOURNAL_QUERY_UNIQUE(3)

NAME
sd_journal_query_unique, sd_journal_enumerate_unique, sd_journal_enumerate_available_unique, sd_journal_restart_unique, SD_JOURNAL_FOREACH_UNIQUE - Read unique data fields from the journal

SYNOPSIS

#include <elogind/sd-journal.h>

int sd_journal_query_unique(sd_journal *j, const char *field);

int sd_journal_enumerate_available_unique(sd_journal *j, const void **data, size_t *length);

int sd_journal_enumerate_unique(sd_journal *j, const void **data, size_t *length);

void sd_journal_restart_unique(sd_journal *j);

SD_JOURNAL_FOREACH_UNIQUE(sd_journal *j, const void *data, size_t length);

DESCRIPTION

sd_journal_query_unique() is not needed in elogind and does nothing.

sd_journal_enumerate_unique() can not do anything in elogind, as there is no systemd-journal on elogind powered systems.

sd_journal_restart_unique() resets the data enumeration index to the beginning of the list, which effectively does nothing.

Note that the SD_JOURNAL_FOREACH_UNIQUE() macro will therefore never do anything.

RETURN VALUE

sd_journal_query_unique() returns 0 on success or a negative errno-style error sd_journal_query_available_unique() always return 0. sd_journal_restart_unique() doesn't return anything.

NOTES

These APIs are implemented as a shared library, which can be compiled and linked to with the libelogind pkg-config(1) file.

SEE ALSO

elogind(8), elogind.journal-fields(7), sd_journal_open(3), sd_journal_enumerate_fields(3), sd_journal_get_data(3), sd_journal_add_match(3)